[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.CreateWith

Instantiate a new TFPCustomHashTable instance with given algorithm and size

## Declaration

Source position: contnrs.pp line 376

`public constructor TFPCustomHashTable.CreateWith(`
`AHashTableSize: LongWord;`
`aHashFunc: THashFunction`
`);`

## Arguments

`AHashTableSize` |  | Size of the hash table.
`aHashFunc` |  | Hash calculating function.

## Description

CreateWith creates a new instance of TFPCustomHashTable with hash size AHashTableSize and hash calculating algorithm aHashFunc.

## Errors

If no memory is available, an exception may be raised.

## See also

Create |  | Instantiate a new TFPCustomHashTable instance using the default hash mechanism

Documentation generated on: Feb 26 2014